pmarlen-web-ligth/src/main/java/com/pmarlen/jsf/ClienteMB.java
package com.pmarlen.jsf;

import com.pmarlen.backend.dao.ClienteDAO;
import com.pmarlen.backend.dao.DAOException;
import com.pmarlen.backend.dao.UsuarioDAO;
import com.pmarlen.backend.model.Cliente;
import com.pmarlen.backend.model.quickviews.ClienteQuickView;
import com.pmarlen.web.security.managedbean.SessionUserMB;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import org.primefaces.event.SelectEvent;

@ManagedBean(name="clienteMB")
@SessionScoped
public class ClienteMB  {
	private transient final Logger logger = Logger.getLogger(ClienteMB.class.getSimpleName());
	List<ClienteQuickView> entityList;
	Integer viewRows;
	ClienteQuickView selectedEntity;
	String dialogTitle;
	
	@PostConstruct
    public void init() {
		logger.info("->ClienteMB: init.");
        try{
			entityList = ClienteDAO.getInstance().findAll();
		}catch(DAOException de){
			logger.error(de.getMessage());
			entityList = new ArrayList<ClienteQuickView>();
		}
		logger.info("->ClienteMB: init:entityList="+entityList);
		viewRows = 10;
		dialogTitle ="DATOS DEL CLIENTE";
    }
	
	public String reset() {
		logger.info("->ClienteMB: rest.");
        init();
		return "/pages/cliente";
    }

	public String getDialogTitle() {
		return dialogTitle;
	}
	
	
	
	public void selectEntity(ActionEvent event){
		logger.info("->ClienteMB: selectCliente.");
	}
	
	public void actionX(ActionEvent event){
		logger.info("->ClienteMB: actionX.");
	}
	
	public void prepareForNew() {
		logger.info("->ClienteMB prepareForNew");
		//dialogTitle ="AGREGAR NUEVO CLIETE";
		this.selectedEntity = new ClienteQuickView();
	}
	
	public void setSelectedEntity(ClienteQuickView selectedCliente) {
		logger.info("->ClienteMB setSelectedCliente.id="+selectedCliente.getId());
		//dialogTitle ="INFORMACIÓN DEL CLEINTE";
		this.selectedEntity = selectedCliente;
		if(this.selectedEntity.getDireccionFacturacion()== null){
			this.selectedEntity.setDireccionFacturacion(this.selectedEntity.getDireccion());
		}
	}
	
	public void save(){
		logger.info("->ClienteMB: saveSelectedCliente:id:"+selectedEntity.getId());
		
		try{
//			if(selectedEntity.getTelefonos().contains("0000")){
//				throw new Exception("Telephone 0000 not allowed.");
//			}
			int u=-1;			
			if(selectedEntity.getId()==null){
				u=ClienteDAO.getInstance().insert(selectedEntity);			
				FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, dialogTitle, "SE CREÓ CORRECTAMENTE NUEVO CLIENTE"));			
			} else{
				u=ClienteDAO.getInstance().update(selectedEntity);
				FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, dialogTitle, "SE ACTUALIZARÓN CORRECTAMENTE LOS DATOS DEL CLIENTE"));			
			}
			reset();
		} catch(Exception e){
			logger.error("AL GUARDAR CLIENTE:",e);
			FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, dialogTitle, "OCURRIO UN ERROR AL GUARDAR"));
			FacesContext.getCurrentInstance().validationFailed();
		}
		
	}

	public Cliente getSelectedEntity() {
		return selectedEntity;
	}
	
    public void onEntityChosen(SelectEvent event) {
        Integer entityId = (Integer) event.getObject();
        FacesMessage message = new FacesMessage(FacesMessage.SEVERITY_INFO, "Entity Selected", "Id:" + entityId);
         
        FacesContext.getCurrentInstance().addMessage(null, message);
    }
	public List<ClienteQuickView> getEntityList() {
		return entityList;
	}
	
	public int getSizeList(){
		return entityList.size();
	}
	
	public void setViewRows(Integer viewRows) {
		this.viewRows = viewRows;
	}

	public Integer getViewRows() {
		return viewRows;
	}
}

pmarlen-web-ligth/src/main/webapp/pages/cliente.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        Cliente
    </ui:define>

    <ui:define name="body-title">
        CATÁLOGO DE CLIENTES
    </ui:define>

    <ui:define name="body">
		<h:form id="form1">

			<h:panelGrid columns="1" cellpadding="5" id="panel1">

				<p:growl globalOnly="true" showDetail="true" autoUpdate="true"/>

				<p:dataTable var="cliente" value="#{clienteMB.entityList}"
							 paginator="true" sortMode="single"
							 rows="#{clienteMB.viewRows}"
							 id="entityTable"
							 paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{clienteMB.sizeList}]"
							 rowsPerPageTemplate="10,25,100" >
					<f:facet name="header">
						OPCIONES :
						<p:commandButton	value="AGREGAR NUEVO CLIENTE" update=":form1:panel1, :form2:dlg1Panel1" 
											actionListener="#{clienteMB.prepareForNew}" 
											icon="ui-icon-circle-plus" onsuccess="PF('dlg1').show();"/>
						<p:spacer width="20"/>
						<p:commandButton	value="ACTUALIZAR" update=":form1:panel1" 
											icon="ui-icon-arrowrefresh-1-s" />

						<p:commandButton id="toggler" type="button" value=" VER COLUMNAS" style="float:right" icon="ui-icon-calculator" rendered="false"/>
						<p:columnToggler datasource="entityTable" trigger="toggler" />
					</f:facet>
					
					<p:column width="5%">

						<p:commandButton	update=":form1:panel1, :form2:dlg1Panel1" 
										 actionListener="#{clienteMB.setSelectedEntity(cliente)}" 
										 icon="ui-icon-pencil" onsuccess="PF('dlg1').show();"
										 title="EDITAR DATOS DEL CLIENTE"/>

					</p:column>
					
					<p:column headerText="RFC" filterBy="#{cliente.rfc}" filterMatchMode="contains" width="10%">
						<h:outputText value="#{cliente.rfc}" />
					</p:column>

					<p:column headerText="RAZON SOCIAL" filterBy="#{cliente.razonSocial}"  filterMatchMode="contains" width="20%">
						<h:outputText value="#{cliente.razonSocial}" />
					</p:column>

					<p:column headerText="NOMBRE ESTABLECIMIENTO" filterBy="#{cliente.nombreEstablecimiento}"  filterMatchMode="contains" width="20%">
						<h:outputText value="#{cliente.nombreEstablecimiento}" />
					</p:column>

					<p:column headerText="DATOS" sortBy="contacto" width="50%">
						<p:panelGrid columns="2">
							<p:outputLabel value="CONTACTO:"/>
							<h:outputText value="#{cliente.contacto}" />
							
							<p:outputLabel value="TELEFONOS:"/>
							<h:outputText value="#{cliente.telefonos}" />
							
							<p:outputLabel value="EMAIL:"/>
							<h:outputText value="#{cliente.email}" />
							
							<p:outputLabel value="DIRECCIÓN:"/>
							<h:outputText value="#{cliente.direccion}" />
							
							<p:outputLabel value="DIRECCIÓN FACTURACIÓN:"/>
							<h:outputText value="#{cliente.direccionFacturacion}" />
							
							<p:outputLabel value="OBSERVACIONES:"/>
							<h:outputText value="#{cliente.observaciones}" />
							
						</p:panelGrid>
					</p:column>
					
				</p:dataTable>

			</h:panelGrid>

		</h:form>

		<h:form id="form2">
			<p:dialog header="#{clienteMB.dialogTitle}" widgetVar="dlg1" modal="true" width="500" height="500" closable="false" resizable="true">
				<h:panelGrid columns="1" cellpadding="5" id="dlg1Panel1" width="100%">

					<p:messages id="messages" showDetail="true" autoUpdate="true" closable="true" globalOnly="true"/>

					<h:panelGrid id="grid" columns="3" columnClasses="columnWidth30 rightAlign, columnWidth50 leftAlign,columnWidth20 leftAlign" cellpadding="5" width="100%">

						<h:outputLabel for="cliente_id" value="ID:" style="font-weight:bold" rendered="#{not empty clienteMB.selectedEntity.id}"/>
						<h:outputText id="cliente_id" value="#{clienteMB.selectedEntity.id}" rendered="#{not empty clienteMB.selectedEntity.id}"/>
						<p:message for="cliente_id" showDetail="true" rendered="#{not empty clienteMB.selectedEntity.id}"/>

						<h:outputLabel for="cliente_rfc" value="RFC:" style="font-weight:bold"/>                    
						<p:inputText id="cliente_rfc" value="#{clienteMB.selectedEntity.rfc}" required="true" label="RFC" size="12">
							<f:validateLength minimum="12" maximum="13" />							
						</p:inputText>
						<p:message for="cliente_rfc" />

						<h:outputLabel for="cliente_razonSocial" value="RAZÓN SOCIAL:" style="font-weight:bold"/>
						<p:inputText id="cliente_razonSocial" value="#{clienteMB.selectedEntity.razonSocial}" required="true" label="RAZÓN SOCIAL:" size="35">
							<f:validateLength minimum="5" maximum="128" />
						</p:inputText>
						<p:message for="cliente_razonSocial" />

						<h:outputLabel for="cliente_nombreEstablecimiento" value="NOMBRE ESTABLECIMIENTO:" style="font-weight:bold"/>                    

						<p:inputText id="cliente_nombreEstablecimiento" value="#{clienteMB.selectedEntity.nombreEstablecimiento}" required="false" label="NOMBRE ESTABLECIMIENTO:" size="35">
							<f:validateLength minimum="5" maximum="128" />
						</p:inputText>
						<p:message for="cliente_nombreEstablecimiento" />

						<h:outputLabel for="cliente_calle" value="CALLE:" style="font-weight:bold"/>
						<p:inputText id="cliente_calle" value="#{clienteMB.selectedEntity.calle}" required="true" label="CALLE :" size="35" maxlength="128">
							<f:validateLength minimum="2" maximum="128" />
						</p:inputText>
						<p:message for="cliente_contacto"  showDetail="true"/>

						<h:outputLabel for="cliente_numExterior" value="NUM. EXTERIOR:" style="font-weight:bold"/>
						<p:inputText id="cliente_numExterior" value="#{clienteMB.selectedEntity.numExterior}" required="true" label="NUM. EXTERIOR:" size="10" maxlength="16">
							<f:validateLength minimum="1" maximum="16" />
						</p:inputText>
						<p:message for="cliente_numExterior"  showDetail="true"/>

						<h:outputLabel for="cliente_numInterior" value="NUM. INTERIOR:" style="font-weight:bold"/>
						<p:inputText id="cliente_numInterior" value="#{clienteMB.selectedEntity.numInterior}" required="false" label="NUM. INTERIOR:" size="10" maxlength="16">
							<f:validateLength minimum="1" maximum="16" />
						</p:inputText>
						<p:message for="cliente_numInterior"  showDetail="true"/>
						
						<h:outputLabel for="cliente_referencia" value="REFERENCIA:" style="font-weight:bold"/>
						<p:inputText id="cliente_referencia" value="#{clienteMB.selectedEntity.referencia}" required="false" label="REFERENCIA:" size="25">
							<f:validateLength minimum="2" maximum="128" />							
						</p:inputText>
						<p:message for="cliente_referencia" />

						<h:outputLabel for="cliente_colonia" value="COLONIA:" style="font-weight:bold"/>
						<p:inputText id="cliente_colonia" value="#{clienteMB.selectedEntity.colonia}" required="true" label="COLONIA:" size="25" maxlength="128">
							<f:validateLength minimum="3" maximum="128" />
						</p:inputText>
						<p:message for="cliente_colonia"  showDetail="true"/>

						<h:outputLabel for="cliente_municipio" value="MUNICIPIO:" style="font-weight:bold"/>
						<p:inputText id="cliente_municipio" value="#{clienteMB.selectedEntity.municipio}" required="true" label="MUNICIPIO:" size="25" maxlength="128">
							<f:validateLength minimum="3" maximum="128" />
						</p:inputText>
						<p:message for="cliente_municipio" />

						<h:outputLabel for="cliente_ciudad" value="CIUDAD:" style="font-weight:bold"/>
						<p:inputText id="cliente_ciudad" value="#{clienteMB.selectedEntity.ciudad}" required="false" label="CIUDAD:" size="25" maxlength="128">
							<f:validateLength minimum="3" maximum="128" />
						</p:inputText>
						<p:message for="cliente_ciudad" />

						<h:outputLabel for="cliente_cp" value="C.P.:" style="font-weight:bold"/>
						<p:inputText id="cliente_cp" value="#{clienteMB.selectedEntity.cp}" required="true" label="C.P.:" size="4" maxlength="5">
							<f:validateLength minimum="5" maximum="5" />
						</p:inputText>
						<p:message for="cliente_cp" />

						<h:outputLabel for="cliente_estado" value="ESTADO:" style="font-weight:bold"/>
						<p:inputText id="cliente_estado" value="#{clienteMB.selectedEntity.estado}" required="true" label="ESTADO:" size="15" maxlength="128">
							<f:validateLength minimum="5" maximum="128" />
						</p:inputText>
						<p:message for="cliente_estado" />

						<h:outputLabel for="cliente_email" value="EMAIL:" style="font-weight:bold"/>
						<p:inputText id="cliente_email" value="#{clienteMB.selectedEntity.email}" required="false" label="EMAIL:" size="15" maxlength="128">
							<f:validateLength minimum="5" maximum="128" />
						</p:inputText>
						<p:message for="cliente_email" />

						<h:outputLabel for="cliente_telefonos" value="TELEFONOS:" style="font-weight:bold"/>
						<p:inputText id="cliente_telefonos" value="#{clienteMB.selectedEntity.telefonos}" required="false" label="TELEFONOS:" size="15">
							<f:validateLength minimum="5" maximum="128" />
							<!--
							<f:validateRegex pattern="[0-9]+([-,X]+[0-9]+)*" for="cliente_telefonos"/>
							-->
						</p:inputText>
						<p:message for="cliente_telefonos" />
						
						<h:outputLabel for="cliente_contacto" value="CONTACTO:" style="font-weight:bold"/>
						<p:inputText id="cliente_contacto" value="#{clienteMB.selectedEntity.contacto}" required="false" label="CONTACTO:" size="35" maxlength="128">
							<f:validateLength minimum="2" maximum="128" />
						</p:inputText>
						<p:message for="cliente_contacto"  showDetail="true"/>

						<h:outputLabel for="cliente_observaciones" value="OBSERVACIONES:" style="font-weight:bold"/>
						<p:inputText id="cliente_observaciones" value="#{clienteMB.selectedEntity.observaciones}" required="false" label="OBSERVACIONES:" size="25">
							<f:validateLength minimum="5" maximum="128" />							
						</p:inputText>
						<p:message for="cliente_observaciones" />

						<h:outputLabel for="cliente_numCuenta" value="NUM. CUENTA:" style="font-weight:bold"/>
						<p:inputText id="cliente_numCuenta" value="#{clienteMB.selectedEntity.numCuenta}" required="false" label="NUM. CUENTA:" size="10">
							<f:validateLength minimum="2" maximum="64" />							
						</p:inputText>
						<p:message for="cliente_numCuenta" />

						<h:outputLabel for="cliente_banco" value="BANCO:" style="font-weight:bold"/>
						<p:inputText id="cliente_banco" value="#{clienteMB.selectedEntity.banco}" required="false" label="BANCO:" size="10">
							<f:validateLength minimum="5" maximum="64" />							
						</p:inputText>
						<p:message for="cliente_banco" />

						<h:outputLabel for="cliente_direccionFacturacion" value="DIRECCIÓN DE FACTURACIÓN:" style="font-weight:bold"/>
						<p:inputTextarea id="cliente_direccionFacturacion" value="#{clienteMB.selectedEntity.direccionFacturacion}" required="false" label="DIRECCIÓN DE FACTURACIÓN:"  cols="55" rows="3">
							<f:validateLength minimum="5" maximum="255" />							
						</p:inputTextarea>
						<p:message for="cliente_direccionFacturacion" />

					</h:panelGrid>

					<h:panelGrid columns="1" cellpadding="5" width="100%">
						<h:panelGroup>
							<p:commandButton	value="GUARDAR" icon="ui-icon-check" 
											 validateClient="true" style="margin-right:10px"
											 ajax="true"
											 actionListener="#{clienteMB.save}"
											 oncomplete="executeAfterUpdate()"
											 update=":form1,dlg1Panel1, updatedBeforeOnComplete"/>

							<p:commandButton	value="CANCELAR" update="grid" icon="ui-icon-check" 
											 ajax="true" process="@this"
											 oncomplete="PF('dlg1').hide();">
								<p:resetInput target="grid" />
							</p:commandButton>
						</h:panelGroup>
					</h:panelGrid>

					<h:panelGroup id="updatedBeforeOnComplete">
						<script language="JavaScript" type="text/javascript">
							//
							function executeAfterUpdate() {
								//alert('facesContext.maximumSeverity=#{facesContext.maximumSeverity}, facesContext.messageList=#{facesContext.messageList}, facesContext.validationFailed=#{facesContext.validationFailed}');
								if (#{facesContext.maximumSeverity==null or facesContext.maximumSeverity.ordinal=='1' or not facesContext.validationFailed}) {
									//alert('ok, close dialog !');
									PF('dlg1').hide();
								}
							}
							//
						</script>
					</h:panelGroup>

				</h:panelGrid>
			</p:dialog>
		</h:form>

	</ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/compras.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        COMPRAS VENTA
    </ui:define>

    <ui:define name="body-title">
        COMRAS EN PROCESO (PENDIENTES DE REVISAR, SURTIR)
    </ui:define>

    <ui:define name="body">		

		<h:form id="form1" rendered="true">

			<h:panelGrid columns="1" cellpadding="0" id="panel3" columnClasses="leftAlign" width="100%" >						

				<p:dataTable  var="pv" value="#{comprasMB.lazyModel}"
							  paginator="true" lazy="true"
							  id="pvTable" emptyMessage="-- SIN ELEMENTOS --" 							  
							  rows="#{comprasMB.viewRows}"
							  paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{comprasMB.sizeList}]"
							  rowsPerPageTemplate="10,25,100">
					
					<f:facet name="header">
						OPCIONES :		
						<p:commandButton value="RECARGAR" actionListener="#{comprasMB.refrescar}" update=":form1" icon="ui-icon-arrowrefresh-1-s"/>
					</f:facet>
					
					<p:column headerText="#" width="10%" filterBy="#{pv.id}" filterMatchMode="contains">						
						<p:panelGrid columns="1" columnClasses="centerAlign" >
							<p:commandButton actionListener="#{comprasMB.editar(pv.id)}" value="#{pv.id}" onsuccess="edit();"/>
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="ESTADO / FECHA" width="20%">
						<p:panelGrid columns="1" columnClasses="centerAlign" style="border: none; border-collapse: none; ">
							<h:outputText value="#{pv.estadoDescripcion}" />
							<h:outputText value="#{pv.fechaCreo}" />
						</p:panelGrid>
						
					</p:column>
										
					<p:column headerText="DATOS" width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="USUARIO CREÓ :" />
							<h:outputText value="#{pv.usuarioNombreCompleto}" />
							<h:outputText value="COMENTARIOS:" />
							<h:outputText value="#{pv.comentarios}" />							
							<h:outputText value="ELEMENTOS :" />
							<h:outputText value="#{pv.numElementos}" />							
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="IMPORTE - DESC." width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,rightAlign">
							<h:outputText value="IMPORTE BRUTO :" />
							<h:outputText value="#{pv.importeBruto}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE NO GRAVADO :" />
							<h:outputText value="#{pv.importeNoGravado}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE I.V.A. :" />
							<h:outputText value="#{pv.importeIVA}" title="FACTOR I.V.A.= ${comprasMB.getImporteMoneda(pv.factorIva)}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>									
														
							<h:outputText value="TOTAL :" />
							<h:outputText value="#{pv.importeTotal}" styleClass="littleLabel_bold_right">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
						</p:panelGrid>
					</p:column>

					<f:facet name="footer">

						<h:outputText value="ELEMENTOS : #{comprasMB.sizeList}" rendered="true"/>

					</f:facet>
				</p:dataTable>

			</h:panelGrid>
			<script>
				function edit(){
					location.href = "editarCompra.jsf";
				}
				
				$(document).ready(function() {

				});
			</script>		
			
		</h:form>

	</ui:define>

</ui:composition>

pmarlen-web-ligth/src/main/webapp/pages/historicoCompras.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
				xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/mainWithMenu.xhtml">

    <ui:define name="title">
        COMPRAS HISTORICO
    </ui:define>

    <ui:define name="body-title">
        COMPRAS HISTORICO (SURTIDOS, FACTURADOS Y CANCELADOS)
    </ui:define>

    <ui:define name="body">		

		<h:form id="form1" rendered="true">

			<h:panelGrid columns="1" cellpadding="0" id="panel3" columnClasses="leftAlign" width="100%" >						

				<p:dataTable  var="pv" value="#{historicoComprasMB.lazyModel}"
							  paginator="true" lazy="true"
							  id="pvTable" emptyMessage="-- SIN ELEMENTOS --" 							  
							  rows="#{historicoComprasMB.viewRows}"
							  paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} [#{historicoComprasMB.sizeList}]"
							  rowsPerPageTemplate="10,25,100">
					
					<f:facet name="header">
						<h:panelGroup>
							OPCIONES :		
							<p:commandButton value="RECARGAR" actionListener="#{historicoComprasMB.refrescar}" update=":form1" icon="ui-icon-arrowrefresh-1-s"/>
						</h:panelGroup>

					</f:facet>
					
					<p:column headerText="#" width="5%" filterBy="#{pv.id}" filterMatchMode="contains">						
						<p:panelGrid columns="1" columnClasses="centerAlign" >
							<h:outputLink value="editarCompra.jsf" >
								<h:outputText value="#{pv.id}" />
								<p:ajax event="click" listener="#{historicoComprasMB.editarCompra(pv.id)}"/>
							</h:outputLink>														
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="ESTADO / FECHA" width="20%">
						<p:panelGrid columns="1" columnClasses="centerAlign" style="border: none; border-collapse: none; ">
							<h:outputText value="#{pv.estadoDescripcion}" />
							<h:outputText value="#{pv.fechaCreo}" />
						</p:panelGrid>
						
					</p:column>
					
					<p:column headerText="DATOS" width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,leftAlign">
							<h:outputText value="USUARIO CREÓ :" />
							<h:outputText value="#{pv.usuarioNombreCompleto}" />
							<h:outputText value="COMENTARIOS:" />
							<h:outputText value="#{pv.comentarios}" />							
							<h:outputText value="ELEMENTOS :" />
							<h:outputText value="#{pv.numElementos}" />
						</p:panelGrid>
					</p:column>
					
					<p:column headerText="IMPORTE - DESC." width="20%">
						<p:panelGrid columns="2" columnClasses="rightAlign,rightAlign">
							<h:outputText value="IMPORTE BRUTO :" />
							<h:outputText value="#{pv.importeBruto}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE NO GRAVADO :" />
							<h:outputText value="#{pv.importeNoGravado}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
							
							<h:outputText value="IMPORTE I.V.A. :" />
							<h:outputText value="#{pv.importeIVA}" title="FACTOR I.V.A.= ${historicoComprasMB.getImporteMoneda(pv.factorIva)}" >
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>									
							
							<h:outputText value="TOTAL :" />
							<h:outputText value="#{pv.importeTotal}" styleClass="littleLabel_bold_right">
								<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
							</h:outputText>
						</p:panelGrid>
					</p:column>

					<f:facet name="footer">

						<h:outputText value="ELEMENTOS : #{historicoComprasMB.sizeList}" rendered="true"/>

					</f:facet>
				</p:dataTable>

			</h:panelGrid>
		</h:form>

	</ui:define>

</ui:composition>